From d06a1bf34f820674ae04a47ccaa5360921796f0d Mon Sep 17 00:00:00 2001
From: Justin Pryzby <pryzbyj@telsasoft.com>
Date: Thu, 15 Apr 2021 23:35:08 -0500
Subject: [PATCH 14/27] oriented / updatable

d168b666823b6e0bcf60ed19ce24fb5fb91b8ccf
---
 doc/src/sgml/config.sgml            | 7 ++++---
 src/backend/access/nbtree/nbtpage.c | 4 ++--
 2 files changed, 6 insertions(+), 5 deletions(-)

diff --git a/doc/src/sgml/config.sgml b/doc/src/sgml/config.sgml
index 776ab1a8c8..46e5d29385 100644
--- a/doc/src/sgml/config.sgml
+++ b/doc/src/sgml/config.sgml
@@ -8241,8 +8241,9 @@ COPY postgres_log FROM '/full/path/to/logfile.csv' WITH csv;
         This parameter specifies the default table access method to use when
         creating tables or materialized views if the <command>CREATE</command>
         command does not explicitly specify an access method, or when
-        <command>SELECT ... INTO</command> is used, which does not allow to
-        specify a table access method. The default is <literal>heap</literal>.
+        <command>SELECT ... INTO</command> is used, which does not allow
+        specification of a table access method.
+        The default is <literal>heap</literal>.
        </para>
       </listitem>
      </varlistentry>
@@ -8273,7 +8274,7 @@ COPY postgres_log FROM '/full/path/to/logfile.csv' WITH csv;
        </para>
 
        <para>
-        This variable is not used for temporary tables; for them,
+        This variable is not used for temporary tables, for which
         <xref linkend="guc-temp-tablespaces"/> is consulted instead.
        </para>
 
diff --git a/src/backend/access/nbtree/nbtpage.c b/src/backend/access/nbtree/nbtpage.c
index ef48679cc2..706e16ae94 100644
--- a/src/backend/access/nbtree/nbtpage.c
+++ b/src/backend/access/nbtree/nbtpage.c
@@ -1398,7 +1398,7 @@ _bt_delitems_delete(Relation rel, Buffer buf, TransactionId latestRemovedXid,
  * _bt_delitems_delete.  These steps must take place before each function's
  * critical section begins.
  *
- * updatabable and nupdatable are inputs, though note that we will use
+ * updatable and nupdatable are inputs, though note that we will use
  * _bt_update_posting() to replace the original itup with a pointer to a final
  * version in palloc()'d memory.  Caller should free the tuples when its done.
  *
@@ -1504,7 +1504,7 @@ _bt_delitems_cmp(const void *a, const void *b)
  * some extra index tuples that were practically free for tableam to check in
  * passing (when they actually turn out to be safe to delete).  It probably
  * only makes sense for the tableam to go ahead with these extra checks when
- * it is block-orientated (otherwise the checks probably won't be practically
+ * it is block-oriented (otherwise the checks probably won't be practically
  * free, which we rely on).  The tableam interface requires the tableam side
  * to handle the problem, though, so this is okay (we as an index AM are free
  * to make the simplifying assumption that all tableams must be block-based).
-- 
2.17.0

